dnl======================================================================
dnl GDS_CHECK_JSONCPP
dnl   Check if jsoncpp is installed
dnl======================================================================

AC_DEFUN([AC_GDS_CHECK_JSONCPP],
[ found_json="yes"
  json_cflags=
  json_libs="-ljsoncpp"
  json_dir=/usr
  AC_ARG_WITH( [jsoncpp],
               AS_HELP_STRING([--with-jsoncpp@<:@=DIR@:>@],[jsoncpp installation location @<:@/usr/@:>@
                               ]),
               [found_json=yes],
               [found_json=no]
               )
  if test "$found_json" = "no"
  then
    found_json="yes"
    json_dir="/usr"
  elif test "$with_jsoncpp" = "no"
  then
    found_json="no"
  else
    json_dir="$with_jsoncpp"
  fi
  for libd in lib lib64
  do
    if test -e $json_dir/$libd/libjsoncpp.so
    then
      json_libs="-L$json_dir/$libd -ljsoncpp"
      break
    elif test -e $json_dir/$libd/libjsoncpp.dylib
    then
      json_libs="-L$json_dir/$libd -ljsoncpp"
      break
    fi
  done
  AS_IF( [test -d $json_dir/include/jsoncpp],
         [json_cflags=-I$json_dir/include/jsoncpp],
         [json_cflags=-I$json_dir/include] )
  AM_CONDITIONAL([have_json], [test "$found_json" = "yes"])
  AC_MSG_CHECKING([for jsoncpp])
  AC_MSG_RESULT([${found_json}])
  AC_SUBST(json_cflags)
  AC_SUBST(json_libs)
])
